com.r3corda.node.services.identity / InMemoryIdentityService

# InMemoryIdentityService

`class InMemoryIdentityService : SingletonSerializeAsToken, IdentityService`

Simple identity service which caches parties and provides functionality for efficient lookup.

### Constructors

<init> | `InMemoryIdentityService()` Simple identity service which caches parties and provides functionality for efficient lookup.

### Functions

partyFromKey | `fun partyFromKey(key: PublicKey): Party?`
partyFromName | `fun partyFromName(name: String): Party?`
registerIdentity | `fun registerIdentity(party: Party): Unit`

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`